Name:         codemodel
Version:      2.6
Release:      %mkrel 20
Group:        Development/Java
Summary:      Java library for code generators
License:      CDDL and GPLv2
URL:          http://codemodel.java.net
# svn export https://svn.java.net/svn/codemodel~svn/tags/codemodel-project-2.6/ codemodel-2.6
# tar -zcvf codemodel-2.6.tar.gz codemodel-2.6
Source0:      %{name}-%{version}.tar.gz
# Remove the dependency on istack-commons (otherwise it will be a
# recursive dependency with the upcoming changes to that package):
Patch0:       %{name}-remove-istack-commons-dependency.patch

BuildArch:     noarch

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-release-plugin
BuildRequires: mvn(net.java:jvnet-parent:pom:)
BuildRequires: mvn(org.apache.ant:ant)
BuildRequires: mvn(junit:junit)


%description
CodeModel is a Java library for code generators; it provides a way to
generate Java programs in a way much nicer than PrintStream.println().
This project is a spin-off from the JAXB RI for its schema compiler
to generate Java source files.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep

# Unpack and patch the original source:
%setup -q
%patch0 -p1

# Remove bundled jar files:
find . -name '*.jar' -print -delete

%mvn_file :%{name} %{name}
%mvn_file :%{name}-annotation-compiler %{name}-annotation-compiler

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.html

%files javadoc -f .mfiles-javadoc
%license LICENSE.html



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 2.6-20.mga6
+ Revision: 982235
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 2.6-19.mga6
+ Revision: 975746
- First rebuild of the java stack
- sync package codemodel with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Jan 11 2015 pterjan <pterjan> 2.6-12.mga5
+ Revision: 809861
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 2.6-11.mga5
+ Revision: 747580
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.6-9.mga4
+ Revision: 545832
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 2.6-8.mga4
+ Revision: 501864
- BR maven-local for mvn-rpmbuild

* Fri Jan 11 2013 umeabot <umeabot> 2.6-7.mga3
+ Revision: 347983
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 2.6-6.mga3
+ Revision: 290997
- Add maven-enforcer-plugin as build time dependeny

* Tue Jan 17 2012 gil <gil> 2.6-1.mga2
+ Revision: 197573
- update to 2.6

* Thu Oct 20 2011 dmorgan <dmorgan> 2.5-1.mga2
+ Revision: 156785
- Fix buildrequires
- Update to version 2.5

  + gil <gil>
    - edit spec file
    - edit spec file
    - rebuilt with mvn3

* Wed Oct 19 2011 dmorgan <dmorgan> 2.1-0.mga2
+ Revision: 156688
- Revert to version 2.1 to be able to upload
- Clean spec file

  + gil <gil>
    - update to 2.5-SNAPSHOT
    - imported package codemodel


* Thu Jun 30 2011 gil <gil> 2.1-0.%%mkrel
- initial rpm